<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\KursDetails\Anwesenheiten;

class AnwesenheitenSetFilterController extends \Kufer\Web\KuferTools\Basis\AnwesenheitenKurs\AnwesenheitenSetFilterController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnwesenheitenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return AnwesenheitenUseCase::getToolId();
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->belegId = \GetOperations::getVarValue('belid');
    $requestObj->teilnehmerTnr = \GetOperations::getVarValue('teilnehmertnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AnwesenheitenPresenter($pUseCaseResponse);
  }
}